const minimist = require('minimist')

module.exports = () => {
  const args = minimist(process.argv.slice(2))
  let cmd = args._[0] || 'help'

  if (args.qr) {
    cmd = 'qr'
  }

  if (args.version || args.v) {
    cmd = 'version'
  }

  if (args.help || args.h) {
    cmd = 'help'
  }

  let dirDatos = args.datos || args.d || './datos/'

  switch (cmd) {
    case 'version':
      require('./cmds/version')(args)
      break

    case 'help':
      require('./cmds/help')(args)
      break

    case 'qr':
      require('./cmds/qr')(args, dirDatos)
      break

    default:
      console.error(`"${cmd}" is not a valid command!`)
      break
  }
}
